# Method: customers.analysisQueries.delete

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.analysisQueries/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.analysisQueries/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.analysisQueries/delete#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.analysisQueries/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.analysisQueries/delete#body.aspect)

Deletes an analysis query.

### HTTP request

`DELETE https://adsdatahub.googleapis.com/v1/{name=customers/*/analysisQueries/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The full name of the analysis query to delete. This is of the form 'customers/\[customerId\]/analysisQueries/\[resource_id\]', e.g. 'customers/123/analysisQueries/resource123'. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`